curl --request PUT \
--url https://api.capitalcheckin.app/v1/collaborators/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
}
}
'import requests
url = "https://api.capitalcheckin.app/v1/collaborators/{id}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
position: '<string>',
department: '<string>',
hire_date: '2023-12-25',
salary: 123,
manager_id: '<string>',
work_schedule: '<string>',
location: '<string>',
emergency_contact: {name: '<string>', phone: '<string>', relationship: '<string>'}
})
};
fetch('https://api.capitalcheckin.app/v1/collaborators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"avatar_url": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Update collaborator
Update an existing collaborator’s information
Authorizations
OAuth2 access token for authentication
Path Parameters
Collaborator ID
Body
Full name of the collaborator
2Email address (must be unique)
Phone number
Job position or title
Department or team
Collaborator status
active, inactive, pending Collaborator role
admin, manager, employee Date when collaborator was hired
Annual salary
ID of the manager
Work schedule (full-time, part-time, etc.)
Work location
Show child attributes
Show child attributes
Response
Collaborator updated
Unique collaborator identifier
Full name of the collaborator
Email address
Phone number
Job position or title
Department or team
Collaborator status
active, inactive, pending Collaborator role
admin, manager, employee Date when collaborator was hired
Annual salary
ID of the manager
Work schedule (full-time, part-time, etc.)
Work location
Profile picture URL
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp